Mail handler creates an issue over and over again

2013-03-15 15:05 - Daniel Rauer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.2.1

Description

Very few e-mail sent to our Redmine are not removed from the mail queue, but correctly an issue gets created. This happens over

and over until the mail gets manually removed from the mail queue.

Most of the e-mails are correctly removed from the queue, so the general configuration seems to be fine. It seems to depend on the

content of e-mails itself.

Here is the log excerpt from our postfix mail server:

relay=local, delay=47576, delays=47574/0.02/0/1.1, dsn=4.3.0, status=deferred (temporary failure. 

Command output: Failed to contact your Redmine server (500). Posting to https://myredmineinstallat

ion/mail_handler... Response received: 500 )

 This is our environment, Redmine version is 2.2.1.stable:

:/opt/redmine-2.2.1# RAILS_ENV=production rake about

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.8.15

Rack version              1.4

Rails version             3.2.11

Active Record version     3.2.11

Action Pack version       3.2.11

Active Resource version   3.2.11

Action Mailer version     3.2.11

Active Support version    3.2.11

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache:

:Strategy::LocalCache::Middleware:0x7fda7ed8e568>, Rack::Runtime, Rack::MethodOverride, ActionDisp

atch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExcepti

ons, ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::Connec

tionManagement, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::Cookie

Store, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::Conditiona

lGet, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          /opt/redmine-2.2.1

Environment               production

Database adapter          mysql

Database schema version   20121026003537

History

#1 - 2015-07-21 21:43 - roman JProof

Same issue in 3.0.2 and 3.0.4 always exactly compared with permissions and paths to an older 2.6

Environment:

  Redmine version                3.0.4.stable.14445

  Ruby version                   2.2.0-p0 (2014-12-25) [x86_64-linux]

  Rails version                  4.2.3

  Environment                    production

  Database adapter               Mysql2
The ticket will be created

But the same mail will be staying in server mail queue. Mailserver try's to "resend" the mail and an new ticket will be created

edit apache log

21/Jul/2015:22:58:55 +0200] "POST /mail_handler HTTP/1.1" 500 990 "-" "Redmine mail handler/0.2.3"

Has someone an idea?

#2 - 2015-07-21 23:33 - Go MAEDA

Could you provide production.log of Redmine when the problem happened?

#3 - 2015-12-10 18:19 - roman JProof

Hello Go,

Ive not seen your message.

Error-Log as followed

Started POST "/mail_handler" for serverip at 2015-12-10 18:15:22 +0100

Processing by MailHandlerController#index as HTML

Parameters: {"key"=>"XXXXXXXXXXXXXXX", "email"=>"From info@XXXXXXXXXXXXXXX.de  Thu Dec 10 18:15:21 2015\nReturn-Path: <

info@XXXXXXXXXXXXXXX.de>\nX-Original-To: wiki@XXXXXXXXXXXXXXX.de\nDelivered-To: wiki@XXXXXXXXXXXXXXX.de\nReceived: from

[192.168.188.27] (hosteringip)\n\tby rootserver (Postfix) with ESMTPSA id D310A60BE8\n\tfor <wiki@XXXXXXXXXXXXXXX.de>; Thu, 10 Dec 2015

18:15:21 +0100 (CET)\nTo: wiki@XXXXXXXXXXXXXXX.de\nFrom: my<info@myaddi.de>\nSubject: wiki@XXXXXXXXXXXXXXX.de\nMessage-ID: <

5669B32B.3020501@myaddy.de>\nDate: Thu, 10 Dec 2015 18:15:23 +0100\nUser-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:38.0)

Gecko/20100101\n Thunderbird/38.4.0\nMIME-Version: 1.0\nContent-Type: text/plain; charset=utf-8\nContent-Transfer-Encoding: 7bit\n\

nwiki@wXXXXXXXXXXXXXXX.de\n", "allow_override"=>nil, "unknown_user"=>nil, "default_group"=>nil, "no_account_notice"=>nil,

"no_notification"=>nil, "no_permission_check"=>nil, "project_from_subaddress"=>nil, "issue"=>{"project"=>"test"}}

Rendered mailer/_issue.text.erb (70.1ms)

Rendered mailer/issue_add.text.erb within layouts/mailer (72.0ms)

Rendered mailer/_issue.html.erb (3.6ms)

Rendered mailer/issue_add.html.erb within layouts/mailer (5.3ms)

MailHandler: issue #162 created by JProof

Completed 500 Internal Server Error in 416ms (ActiveRecord: 81.4ms)

NoMethodError (undefined method `value=' for nil:NilClass):

app/models/mail_handler.rb:175:in `dispatch'

app/models/mail_handler.rb:150:in `receive'

app/models/mail_handler.rb:49:in `block in receive'

app/models/mail_handler.rb:46:in `receive'

app/controllers/mail_handler_controller.rb:29:in `index'

#4 - 2016-01-09 06:37 - Toshi MARUYAMA

roman JProof wrote:

MailHandler: issue #162 created by JProof

Completed 500 Internal Server Error in 416ms (ActiveRecord: 81.4ms)

NoMethodError (undefined method `value=' for nil:NilClass):

app/models/mail_handler.rb:175:in `dispatch'

app/models/mail_handler.rb:150:in `receive'

app/models/mail_handler.rb:49:in `block in receive'

app/models/mail_handler.rb:46:in `receive'

app/controllers/mail_handler_controller.rb:29:in `index'

 Do you use plugins?

#5 - 2016-02-07 07:23 - roman JProof

Hello Toshi,

yes ..the Plugin "helpdesc" plugin has made this issue.

so i removed the Plugin and now it works.

thanks!

Roman

status:closed

#6 - 2016-02-08 00:55 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Invalid

Thanks for the feedback.

I am closing this issue.
